

using Granite.Services;

namespace Calculator {

    public class CalculatorApp : Granite.Application {

        private MainWindow window = null;

        construct {
            program_name = "Calculator";
            exec_name = "Calculator";

            build_data_dir = Constants.DATADIR;
            build_pkg_data_dir = Constants.PKGDATADIR;
            build_release_name = Constants.RELEASE_NAME;
            build_version = Constants.VERSION;
            build_version_info = Constants.VERSION_INFO;

            app_years = "2014";
            app_icon = "calculator";
            app_launcher = "calculator.desktop";
            application_id = "net.launchpad.calculator";

            main_url = "https://code.launchpad.net/calculator";
            bug_url = "https://bugs.launchpad.net/calculator";
            help_url = "https://code.launchpad.net/calculator";
            translate_url = "https://translations.launchpad.net/calculator";

            about_authors = { "Lars Berscheid <siasola@gmail.com>" };
            about_documenters = { "Lars Berscheid <siasola@gmail.com>" };
            about_artists = { "Lars Berscheid <siasola@gmail.com>" };
            about_comments = "Calculator";
            about_translators = "";
            // Set the about_license_type property to set your license
        }

        public CalculatorApp () {
            Logger.initialize ("Calculator");
            Logger.DisplayLevel = LogLevel.DEBUG;
        }

        //the application started
        public override void activate () {
            if (get_windows () == null) {
                window = new MainWindow (this);
                window.show_all ();
            } else {
                window.present ();
            }
        }

        //the application was requested to open some files
        public override void open (File [] files, string hint) {

        }

        public static void main (string [] args) {
            var app = new Calculator.CalculatorApp ();

            app.run (args);
        }
    }
}